<template>
  <q-dialog v-model="storeRecibo.dialog" persistent>
    <q-card>
      <q-banner inline-actions class="text-white bg-red">
        Generacion de RECIBO X, DOCUMENTO NO VALIDO COMO FACTURA
      </q-banner>

      <q-list>
        <q-item>
          <q-item-section avatar>
            <q-icon name="account_tree" />
          </q-item-section>
          <q-item-section>Destinatario</q-item-section>
          <q-item-section
            side
            v-if="storeRecibo.form.tipo_destinatario === 'O'"
          >
            Organismo
          </q-item-section>
          <q-item-section side v-else> Persona </q-item-section>
        </q-item>

        <q-item>
          <q-item-section avatar>
            <q-icon name="calendar_month" />
          </q-item-section>
          <q-item-section>Fecha</q-item-section>
          <q-item-section side> {{ storeRecibo.form.fecha }} </q-item-section>
        </q-item>

        <q-item v-if="storeRecibo.form.tipo_destinatario === 'O'">
          <q-item-section avatar>
            <q-icon name="groups" />
          </q-item-section>
          <q-item-section>Personas</q-item-section>
          <q-item-section side>
            {{ storeRecibo.form.detalles.length }}
          </q-item-section>
        </q-item>
        <q-item>
          <q-item-section avatar>
            <q-icon name="currency_exchange" />
          </q-item-section>
          <q-item-section>Total</q-item-section>
          <q-item-section side>
            <q-chip
              square
              color="green"
              text-color="white"
              icon="attach_money"
              size="md"
            >
              {{ storeRecibo.form.total }}
            </q-chip>
          </q-item-section>
        </q-item>
      </q-list>

      <q-card-actions align="right">
        <q-btn
          flat
          label="Confirmar"
          color="green"
          @click="submitCrearRecibo"
        />
        <q-btn flat label="Cancelar" color="red" v-close-popup />
      </q-card-actions>
    </q-card>
    <Loading :showing="loading" />
  </q-dialog>
</template>

<script lang="ts">
import { defineComponent, onMounted, ref } from 'vue';
import { useReciboNuevoStore } from 'src/stores/finanzas/reciboNuevoStore';
import { useRouter } from 'vue-router';
import Loading from 'src/components/Loading.vue';

export default defineComponent({
  name: 'ModalConfirmacionPartial',
  components: {
    Loading,
  },
  setup() {
    const storeRecibo = useReciboNuevoStore();
    const router = useRouter();
    const loading = ref<boolean>(false);

    onMounted(() => {
      console.log('sss');
    });

    function submitCrearRecibo() {
      loading.value = true;
      storeRecibo
        .submitCrearRecibo()
        .then(() => {
          loading.value = false;
          router.push({
            path: '/finanzas/recibos',
          });
        })
        .finally(() => {
          loading.value = false;
        });
    }
    return { storeRecibo, submitCrearRecibo, loading };
  },
});
</script>
